

import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function UpdateHomePage(name, config) {
    let filePath = `${config.foundation}/src/cwc-elements-definitions.ts`;

    const spinner = createSpinner('Updating cwc-elements-definitions.ts file... \n').start();

    fs.readFile(filePath, 'utf-8', function (err, data) {
        if (err) { spinner.error(); process.exit(1) };
        data = data.replace('{/* END LINKS - DO NOT REMOVE THIS LINE */}', `<Link className="btn btn-primary" to="/${name}">
        ${name}
      </Link>\n\t\t\t//END COMPONENTS - DO NOT REMOVE THIS LINE`)
        fs.writeFile(filePath, data, function (err) {
            if (err) {
                spinner.error();
                process.exit(1)
            }
            spinner.success();
        });
    });
}

export default UpdateHomePage;