import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function updateWebPack(name, config) {
    let webpackConfigFilePath = `${config.webcomponents}/webpack.config.js`;
    const creatingSpinner = createSpinner('Creating web component... \n').start();

    const spinner = createSpinner('Updating webpack.config.js File... \n').start();

    fs.readFile(webpackConfigFilePath, 'utf-8', function (err, data) {
        if (err) { spinner.error(); process.exit(1) };
        //     // if (err) {
        //     //     spinner.error();
        //     //     process.exit(1);
        //     // }
        //     // spinner.success();
        // data = data.toString();
        data = data.replace('//END EXPOSES - DO NOT REMOVE THIS LINE', ` "./${name}": "./src/define-${name}-element.js",\n\t\t\t\t//END EXPOSES - DO NOT REMOVE THIS LINE`)
        fs.writeFile(webpackConfigFilePath, data, function (err) {
            if (err) {
                spinner.error();
                process.exit(1)
            }
            spinner.success();
            creatingSpinner.success();
        });
    });
}

export default updateWebPack;